## com.puppycrawl.tools.checkstyle.api
Interface Filter

All Known Implementing Classes:
  FilterSet, SeverityMatchFilter, SuppressElement, SuppressionCommentFilter, SuppressionFilter, SuppressWithNearbyCommentFilter

    public interface Filter

An interface for filtering AuditEvents.

Author:
  Rick Giles

Method Summary
`boolean` `accept(AuditEvent aEvent)` Determines whether or not a filtered AuditEvent is accepted.

Method Detail

### accept

    boolean accept(AuditEvent aEvent)

  Determines whether or not a filtered AuditEvent is accepted.

  Parameters:
    `aEvent` - the AudtiEvent to filter.
  Returns:
    true if the aEvent is accepted.

Copyright © 2001-2011. All Rights Reserved.